import 'package:login_oficina5/src/login_package.dart';

class LabelSignUp extends StatelessWidget {
  final String textLabel;
  final GlobalKey<FormState> formKey;
  final VoidCallback onTap;

  const LabelSignUp({
    this.textLabel,
    this.formKey,
    this.onTap,
  });

  @override
  Widget build(BuildContext context) {
    final String textLabel = this.textLabel ?? 'Inscreva-se';
    final VoidCallback onTap = this.onTap ??
        () {
          Navigator.push(
            context,
            MaterialPageRoute(
              builder: (context) => HomeScreen(),
            ),
          );
        };
    return Row(
      crossAxisAlignment: CrossAxisAlignment.center,
      mainAxisAlignment: MainAxisAlignment.center,
      children: <Widget>[
        Text("Não tem uma conta?"),
        GestureDetector(
          onTap: onTap,
          child: Text(
            textLabel,
            style: TextStyle(
              color: Colors.blueAccent,
              decoration: TextDecoration.underline,
            ),
          ), //componentizar
        ),
      ],
    );
  }
}
