import 'package:login_oficina5/src/login_package.dart';

class Logo extends StatelessWidget {
  final double heightLogo;
  final double widthLogo;
  final Image logo;
  const Logo({this.logo, this.heightLogo, this.widthLogo});
  @override
  Widget build(BuildContext context) {
    final double heightLogo = this.heightLogo ?? 200.0;
    final double widthLogo = this.widthLogo ?? 100.0;
    final Image logo = this.logo ?? Image.asset("assets/image_broken.png");
    return Container(
      height: heightLogo,
      width: widthLogo,
      child: logo,
    );
  }
}
