import 'package:login_oficina5/src/login_package.dart';

class ButtonLoginFacebook extends StatelessWidget {
  final double heightButtonFacebook;
  final double widgthButtonFacebook;
  final Color colorButtonFacebook;
  final String textButtonFacebook;
  final bool visibility;
  const ButtonLoginFacebook({
    this.heightButtonFacebook,
    this.widgthButtonFacebook,
    this.colorButtonFacebook,
    this.textButtonFacebook,
    this.visibility,
  });
  @override
  Widget build(BuildContext context) {
    final double heightButtonFacebook = this.heightButtonFacebook ?? 36.0;
    final double widgthButtonFacebook =
        this.widgthButtonFacebook ?? MediaQuery.of(context).size.width * 0.9;
    final Color colorButtonFacebook =
        this.colorButtonFacebook ?? Color(0xff1469C2);
    final String textButtonFacebook =
        this.textButtonFacebook ?? "ENTRAR COM FACEBOOK";
    final visibility = this.visibility ?? true;
    return Visibility(
      visible: visibility,
      child: Container(
        child: ButtonTheme(
          minWidth: widgthButtonFacebook,
          height: heightButtonFacebook,
          child: RaisedButton(
            color: colorButtonFacebook,
            onPressed: () {
              Navigator.push(
                context,
                MaterialPageRoute(
                  builder: (context) => HomeScreenFacebook(),
                ),
              );
            },
            child: Text(textButtonFacebook),
          ),
        ),
      ),
    );
  }
}
