import 'package:login_oficina5/src/login_package.dart';

class ButtonLoginGoogle extends StatelessWidget {
  final double heightButtonGoogle;
  final double widgthButtonGoogle;
  final Color colorButtonGoogle;
  final String textButtonGoogle;
  final GlobalKey<FormState> formKey;
  final bool visibility;
  const ButtonLoginGoogle(
      {this.heightButtonGoogle,
      this.widgthButtonGoogle,
      this.colorButtonGoogle,
      this.textButtonGoogle,
      this.formKey,
      this.visibility});
  @override
  Widget build(BuildContext context) {
    final double heightButtonGoogle = this.heightButtonGoogle ?? 36.0;
    final double widgthButtonGoogle = MediaQuery.of(context).size.width * 0.9;
    final Color colorButtonGoogle = this.colorButtonGoogle ?? Color(0xffC21414);
    final String textButtonGoogle =
        this.textButtonGoogle ?? "ENTRAR COM GOOGLE";
    final visibility = this.visibility ?? true;
    return Visibility(
      visible: visibility,
      child: Container(
        child: ButtonTheme(
          minWidth: widgthButtonGoogle,
          height: heightButtonGoogle,
          child: RaisedButton(
            color: colorButtonGoogle,
            onPressed: () {
              Navigator.push(
                context,
                MaterialPageRoute(
                  builder: (context) => HomeScreenGoogle(),
                ),
              );
            },
            child: Text(textButtonGoogle),
          ),
        ),
      ),
    );
  }
}
